#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 random-source
version:              0.3.0.11
visibility:           public
id:                   random-source-0.3.0.11-7qo2LPLzgclLs6ozMAXexx
key:                  random-source-0.3.0.11-7qo2LPLzgclLs6ozMAXexx
license:              LicenseRef-PublicDomain
maintainer:           James Cook <mokus@deepbondi.net>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/mokus0/random-fu
synopsis:             Generic basis for random number generators
description:
    Random number generation based on entropy sources
    able to produce a small but well-defined set of
    primitive variates.  Also includes facilities for
    \"completing\" partial implementations, making it
    easy to define new entropy sources in a way that
    is naturally forward-compatible.

category:             Math
abi:                  c0677ba86db63f28b2ea308bcf461037
exposed:              True
exposed-modules:
    Data.Random.Internal.Source Data.Random.Internal.Words
    Data.Random.Source Data.Random.Source.DevRandom
    Data.Random.Source.IO Data.Random.Source.MWC
    Data.Random.Source.PureMT Data.Random.Source.Std
    Data.Random.Source.StdGen

hidden-modules:
    Data.Random.Source.Internal.Prim Data.Random.Source.Internal.TH

import-dirs:          /usr/lib/ghc-8.10.5/site-local/random-source-0.3.0.11
library-dirs:         /usr/lib/ghc-8.10.5/site-local/random-source-0.3.0.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/i386-linux-ghc-8.10.5/random-source-0.3.0.11
hs-libraries:         HSrandom-source-0.3.0.11-7qo2LPLzgclLs6ozMAXexx
depends:
    base-4.14.2.0 flexible-defaults-0.0.3-FsszUGCutXOFfuTwYIEbqq
    mersenne-random-pure64-0.2.2.0-8ln5I7HbOIvBHghTAWCAYY mtl-2.2.2
    mwc-random-0.15.0.1-8r43Rs0U6F1Ff5vg7r03B
    primitive-0.7.1.0-H44eQ1j8hQJ3Kj2SFx0Ivh
    random-1.2.0-GZbCBA9NAlUBaVRSIi1HYu
    stateref-0.3-Eh1DsLBg0MW5KjbrEZPHel
    syb-0.7.2.1-5ZaH2aS3V5s5i5LSCPBZnH template-haskell-2.16.0.0
    th-extras-0.0.0.4-L2zsjqRBx48L5b2wSxIaEZ

haddock-interfaces:
    /usr/share/doc/haskell-random-source/html/random-source.haddock

haddock-html:         /usr/share/doc/haskell-random-source/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

